Package com.io7m.smfj.format.text.v1

## Class SMFTV1HeaderCommandTriangles

- java.lang.Object
- - com.io7m.smfj.format.text.v1.SMFTV1HeaderCommandTriangles

- All Implemented Interfaces:
    `SMFTHeaderCommandParserType`

      public final class SMFTV1HeaderCommandTriangles
      extends java.lang.Object
      implements SMFTHeaderCommandParserType

  A parser for the "triangles" command.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `SYNTAX` | The command syntax.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SMFTV1HeaderCommandTriangles​(SMFTLineReaderType in_reader, SMFHeader.Builder in_header)` | Construct a parser.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `name()` |
    `SMFTParsingStatus` | `parse​(SMFParserEventsHeaderType receiver, java.util.List<java.lang.String> line)` | Parse the section, delivering events to `receiver`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SYNTAX

          public static final java.lang.String SYNTAX

      The command syntax.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SMFTV1HeaderCommandTriangles

          public SMFTV1HeaderCommandTriangles​(SMFTLineReaderType in_reader,
                                              SMFHeader.Builder in_header)

      Construct a parser.
      Parameters:
        `in_reader` - The current line reader
        `in_header` - A header builder

  - ### Method Detail

    - #### name

          public java.lang.String name()

      Specified by:
        `name` in interface `SMFTHeaderCommandParserType`
      Returns:
        The name of the header command

    - #### parse

          public SMFTParsingStatus parse​(SMFParserEventsHeaderType receiver,
                                         java.util.List<java.lang.String> line)
                                  throws java.io.IOException

      Description copied from interface: `SMFTHeaderCommandParserType`
      Parse the section, delivering events to `receiver`.
      Specified by:
        `parse` in interface `SMFTHeaderCommandParserType`
      Parameters:
        `receiver` - The event receiver
        `line` - The current line
      Returns:
        The result of parsing
      Throws:
        `java.io.IOException` - On I/O errors